GEOS: geos::operation::distance::GeometryLocation Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::operation::distance::GeometryLocation Class Reference

Represents the location of a point on a Geometry. More...

`#include <GeometryLocation.h>`

List of all members.

## Public Member Functions
| GeometryLocation (const geom::Geometry *newComponent, int newSegIndex, const geom::Coordinate &newPt)
| GeometryLocation (const geom::Geometry *newComponent, const geom::Coordinate &newPt)
const geom::Geometry * | getGeometryComponent ()
int | getSegmentIndex ()
geom::Coordinate & | getCoordinate ()
bool | isInsideArea ()
## Static Public Attributes
static const int | INSIDE_AREA = -1

## Detailed Description

Represents the location of a point on a Geometry.

Maintains both the actual point location (which of course may not be exact) as well as information about the component and segment index where the point occurs. Locations inside area Geometrys will not have an associated segment index, so in this case the segment index will have the sentinel value of INSIDE_AREA.

## Constructor & Destructor Documentation

geos::operation::distance::GeometryLocation::GeometryLocation | ( | const geom::Geometry * | newComponent,
|  | int | newSegIndex,
|  | const geom::Coordinate & | newPt |
| ) |  |  |

Constructs a GeometryLocation specifying a point on a geometry, as well as the segment that the point is on (or INSIDE_AREA if the point is not on a segment).

geos::operation::distance::GeometryLocation::GeometryLocation | ( | const geom::Geometry * | newComponent,
|  | const geom::Coordinate & | newPt |
| ) |  |  |

Constructs a GeometryLocation specifying a point inside an area geometry.

## Member Function Documentation

const geom::Geometry* geos::operation::distance::GeometryLocation::getGeometryComponent | ( |  | ) |

Returns the geometry associated with this location.

int geos::operation::distance::GeometryLocation::getSegmentIndex | ( |  | ) |

Returns the segment index for this location. If the location is inside an area, the index will have the value INSIDE_AREA;

Returns:
  the segment index for the location, or INSIDE_AREA

geom::Coordinate& geos::operation::distance::GeometryLocation::getCoordinate | ( |  | ) |

Returns the location.

bool geos::operation::distance::GeometryLocation::isInsideArea | ( |  | ) |

Returns whether this GeometryLocation represents a point inside an area geometry.

## Member Data Documentation

const int geos::operation::distance::GeometryLocation::INSIDE_AREA = -1`[static]`

Special value of segment-index for locations inside area geometries. These locations do not have an associated segment index.

The documentation for this class was generated from the following file:

- GeometryLocation.h